<?php
//Verificar si el usuario ha iniciado sesion 
session_start();
if (!isset($_SESSION['Username'])) { 
  header("Location: login.php");
exit;
}

if(isset($_POST['Crear_enviar'])){
echo "NO HA CARGADO NADA, DEBE LLENAR EL FORMULARIO PARA CONTINUAR";
echo "<br>";
echo "<a href='Opciones_menu/Index_Registrar_Productos.php'>Ver Resultados</a>";
}else{ 
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
<title>UPLOAD</title>
<!--##::Link boostrap offline::##-->
<link rel="stylesheet" href="bootstrap-5.3.1-Source-files/dist/css/bootstrap.min.css">
<!--##::Link Estilos de maquetado::##-->
<link rel="stylesheet" href="ArchivosCSS/style_indexs.css">
</head>
<body>
<!--##:: Main ::##-->
<div class="contmain">
    <div class="pr">
<?php
$target_dir = "uploads/";
$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

// Compruebe si el archivo de imagen es una imagen real o una imagen falsa
if(isset($_POST["submit"])) {
    $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]);
    if($check !== false) {
        echo "El archivo es una imagen - " . $check["mime"] . ".";
        $uploadOk = 1;
    } else {
        echo "El archivo no es una imagen.";
        $uploadOk = 0;
    }
}

// Comprobar Si El Archivo Ya Existe
if (file_exists($target_file)) {
    echo "Lo sentimos, el archivo ya existe.";
    $uploadOk = 0;
}

// Comprobar El Tamaño Del Archivo Permitido
if ($_FILES["fileToUpload"]["size"] > 500000) {
    echo "Lo sentimos, su archivo es demasiado grande.";
    $uploadOk = 0;
}

// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
    && $imageFileType != "gif" ) {
    echo "solo Archivos Con Extencion JPG, JPEG, PNG y GIF están permitidos. ";
    $uploadOk = 0;
}

// Compruebe si "$uploadOk" se establece en 0 por un error
if ($uploadOk == 0) {
    echo "Lo sentimos, su archivo no fue subido.";
    echo "<br>";
    echo "<a href='Opciones_menu/Index_Registrar_Productos.php'>Ver Resultados</a>";
// si todo está bien, intente cargar el archivo
} else {
    if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
        echo "El Archivo ". htmlspecialchars( basename( $_FILES["fileToUpload"]["name"])). " Ha Sido Subido Con Exito.";
        echo "<br>";
        echo "<a href='Opciones_menu/Index_Registrar_Productos.php'>Ver Resultados</a>";
    } else {
        echo "Lo sentimos, hubo un error al Subir su archivo.";
    }
}
?>
    </div>
</div>
    <!--##::Link boostrap JS offline::##-->
    <script src="bootstrap-5.3.1-Source-files/dist/js/bootstrap.bundle.min.js"></script>
    <script src="ArchivosJS/jquery-3.6.0.min.js"></script> 
    <script src="ArchivosJS/bootstrap.min.js"></script>
<!--##:: Footer ::##-->
<footer class="footer">
    <p>&copy; Todos los derechos reservados - 2023 | La Emperadora Internet Y Mas</p>
</footer>
</body>
</html>
<?php  
}
?> 